#
# spec file for package xfm (Version 1.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         xfm
Copyright:    GPL
Group:        X11/Applications 
Provides:     xfm xfm12 
Autoreqprov:  on
Version:      1.4.2
Release:      235
Summary:      A file manager for X
Url:          http://www.musikwissenschaft.uni-mainz.de/~ag/xfm/
Source:       xfm-1.4.2p4.tar.bz2
Patch:        xfm-1.4.2.dif
Patch1:       xfm-1.4.2-ia64.dif
Patch2:       xfm_1.4.2_p4-xfm_1.4.2_p5.patch
BuildRoot:    /var/tmp/%{name}-build

%description
This is a powerful file and applications manager program written using
the X toolkit. It contains virtually all of the features that you
would expect in a file manager - move around your directory tree in
multiple windows, and move, copy or delete files with simple mouse
operations. The integrated application manager allows you to load
files into your favorite applications from the file manager by
dragging icons.
You should invoke xfm.install before launching xfm for the first time.

Authors:
--------
    Albert Graef <ag@MuwiInfb.Geschichte.Uni-Mainz.DE>
    Simon Marlow <simonm@dcs.gla.ac.uk>

SuSE series: xap

%prep
%setup
%patch
%patch1
%patch2

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
make "DESTDIR=$RPM_BUILD_ROOT" install.man

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/xfm
%config /usr/X11R6/lib/X11/app-defaults/*
%doc /usr/X11R6/man/man1/*
%doc COPYING README README-1.2 README-1.4 TODO ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n xfm
* Fri Jul 27 2001 - cihlar@suse.cz
- added patch to patchlevel 5
* Mon Jun 04 2001 - cihlar@suse.cz
- fixed arguments to XtVa... functions for ia64 [bug #8612]
* Tue May 22 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Tue Nov 21 2000 - cihlar@suse.cz
- bzipped sources
- fixed copyright
* Fri May 19 2000 - cihlar@suse.cz
- Group sorted
* Wed Apr 12 2000 - cihlar@suse.cz
- upgrade to version 1.4.2 patchlevel 4
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Mar 03 1999 - ro@suse.de
- another occurence of redeclaring strchr
* Mon Mar 01 1999 - ro@suse.de
- don't redeclare strchr
* Mon Sep 14 1998 - ro@suse.de
- catch strncpy for GLIBC
